Redmine - Defect #668
Date input fields don't respect date format settings
2008-02-15 12:07 - Bastian Salmela

Status: New Start date: 2008-02-15
Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version: Candidate for next major release

Resolution: Affected version:

Description

The input box next to calendar, shows always "YYYY-MM-DD" and doesn't follow the language settings.

This is very confusing at least in finnish language, because we never type it like that.

Related issues:

Related to Redmine - Patch # 6450: Allow localized date input and correctly t... New 2010-09-21
Related to Redmine - Defect # 10560: strange validation in redmine core Closed

Related to Redmine - Defect # 23224: Datepicker doesn't obey the user's setti... New

Duplicated by Redmine - Feature # 2273: Date inputs when editing an issue sho... Closed 2008-12-04
Duplicated by Redmine - Feature # 4451: Date picker to be internationalized -... Closed 2009-12-20
Duplicated by Redmine - Defect # 5316: Datetime picker Closed 2010-04-14 2010-05-31
Duplicated by Redmine - Defect # 10327: "Start date" and "due date" fields us... Closed

Duplicated by Redmine - Defect # 12179: Impossible to set due date with dot Closed

Duplicated by Redmine - Feature # 12478: American Date Format (mm/dd/yyyy) fo... Closed

Duplicated by Redmine - Defect # 14857: Date localization don't take effects ... Closed

History

#1 - 2008-02-15 13:37 - Antti Perkiomaki

| tried a little change in caldendar-fi.js file:

Calendar._TT["DEF_DATE_FORMAT"] = "%Y-%m-%d"

==>

Calendar._TT["DEF_DATE_FORMAT"] = "%d.%m.%Y"

Did not change the behaviour though :) The date format was still YYYY-MM-DD

Not really a programmer so no clue why the change didn't work. Anyways tried with several browsers so might need change to some other place to
change the date format.

#2 - 2008-02-15 13:47 - Bastian Salmela

aah.. i tried those too, and some other tricks... but best | got was calendar-widget changing the field correctly (respecting dd-mm-yyyy) when | clicked a

date.. but still, everytime | am adding new issue, or editing old one, the date in field gets defaulted in wrong order.

| dont know ruby, so after hour of going through sources | just gave up :)
#3 - 2009-11-05 13:20 - Jean-Philippe Lang
- Category set to Ul

#4 - 2010-04-19 15:38 - Filip Moravek

- Assignee set to Jean-Philippe Lang

this date format is confusing for normal users

#5 - 2010-05-10 22:18 - Felipe Cardoso Martins

- File app_helpers_application_helper_rb.diff added

#6 - 2010-09-21 03:15 - Stuart Cianos

Patch #6450 solves the problem for user input in the Custom Value model. Diff has been attached to #6450.

This was a major pain point for some of my colleagues using Redmine - hopefully this fix will eliminate the issue on user input across the board for

custom fields.

#7 - 2012-12-01 13:11 - Jean-Philippe Lang
- Subject changed from date input fields don't respect date format settings to Date input fields don't respect date format settings

- Target version set to Candidate for next major release

#8 - 2013-09-21 15:23 - Toshi MARUYAMA
- Duplicated by Defect #14857: Date localization don't take effects over Date Select fields added

#9 - 2013-12-28 08:09 - Ivan Cenov

The defect is in Redmine 2.4.2 too.

#10 - 2014-03-06 10:34 - Luis Serrano Aranda

+1

#11 - 2015-03-17 14:29 - Jan Reges

+1

#12 - 2015-04-30 17:05 - Laurent Dairaine

+1

#13 - 2015-05-04 08:32 - Bruno llponse

+1

2021-10-23 2/4



#14 - 2015-06-18 20:21 - Leandro Gehlen

| created a jquery plugin to solve this problem:
jQuery Binding Format

#15 - 2015-10-12 08:41 - Alessandro Zucchi

+1

#16 - 2015-10-13 13:52 - Alessandro Lanza

+1

#17 - 2015-11-21 12:06 - Vincent Robert

Leandro, can you please explain how to use your jquery plugin with standard Redmine date fields?

Have you ever integrate it to Redmine?

Thanks

#18 - 2016-04-05 14:49 - Luiz Moura

+1

#19 - 2016-12-09 18:06 - Alexander Scherdo

+1

#20 - 2017-10-12 11:14 - Anonymous

+1

#21 - 2018-08-13 16:27 - Jonas De Meulenaere

+1.

We're currently upgrading from Redmine 2.4.3 to 3.4.6.stable, and it strikes me that this input date formatting problem is around for so long. So for us,

it got worse:

- Our output date formatting is dd/MM/yyyy

- In 2.4.3 you get a calendar icon next to the input field. When selecting a date, it copies it in the input field in the format yyyy-MM-dd

- In 3.4.6 there is no calendar icon. The calendar shows up directly when clicking the input field. When selecting a date, it copies it in the input field
in the format MM/dd/yyyy.

"yyyy-MM-dd" is still clear to us, at least it doesn't switch the month and the day.

What is more: when entering a date manually (the mask is MM/dd/yyyy), it applies a "ceiling" function to each date part. So when mistakenly typing
https://github.com/leandrogehlen/jquery-bindingformat

e.g. 18, 05, 2018, meaning May 18, 2018, the 18 is converted automatically to 12, and without any warning it is set to 12/05/2018 (December 5th).

#22 - 2019-12-05 11:43 - Miodrag Milic

Unacceptable :)

#23 - 2021-08-14 09:36 - Mischa The Evil
- Related to Defect #23224: Datepicker doesn't obey the user's settings format added

Files

app_helpers_application_helper_rb.diff 707 Bytes 2010-05-10 Felipe Cardoso Martins
